import request from '@/utils/request'

// 查询诊所管理列表
export function listCompany(query) {
  return request({
    url: '/his/company/list',
    method: 'get',
    params: query
  })
}

// 查询诊所管理详细
export function getCompany(companyId) {
  return request({
    url: '/his/company/' + companyId,
    method: 'get'
  })
}
export function resetPwd(companyId) {
  return request({
    url: '/his/company/resetPwd/'+companyId,
    method: 'post'
  })
}
export function deduct(data) {
  return request({
    url: '/his/company/deduct',
    method: 'post',
    data: data
  })
}

export function redDeduct(data) {
  return request({
    url: '/his/company/redDeduct',
    method: 'post',
    data: data
  })
}
export function recharge(data) {
  return request({
    url: '/his/company/recharge',
    method: 'post',
    data: data
  })
}
// 红包充值
export function redRecharge(data) {
  return request({
    url: '/his/company/redRecharge',
    method: 'post',
    data: data
  })
}


// 新增诊所管理
export function addCompany(data) {
  return request({
    url: '/his/company',
    method: 'post',
    data: data
  })
}

// 修改诊所管理
export function updateCompany(data) {
  return request({
    url: '/his/company',
    method: 'put',
    data: data
  })
}

// 删除诊所管理
export function delCompany(companyId) {
  return request({
    url: '/his/company/' + companyId,
    method: 'delete'
  })
}

// 导出诊所管理
export function exportCompany(query) {
  return request({
    url: '/his/company/export',
    method: 'get',
    params: query
  })
}

// 查询诊所管理详细
export function getDivConfig(companyId) {
  return request({
    url: '/his/company/getDivConfig/' + companyId,
    method: 'get'
  })
}

export function setDiv(data) {
  return request({
    url: '/his/company/setDiv',
    method: 'post',
    data: data
  })
}
export function exitMiniProgram(data) {
  return request({
    url: '/his/company/exitMiniProgram',
    method: 'post',
    data: data
  })
}

export function getGatewayCompanyList(companyId) {
  return request({
    url: '/easyCall/gateway/getGatewayCompanyList',
    method: 'get'
  })
}

// 查询租户员工账户使用统计
export function getAccountStats() {
  return request({
    url: '/his/company/accountStats',
    method: 'get'
  })
}
